Skip to content
Start here

Create Peer

dns.zone_transfers.peers.create(PeerCreateParams**kwargs) -> Peer
POST/accounts/{account_id}/secondary_dns/peers

Create Peer.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Settings Write
ParametersExpand Collapse
account_id: str
name: str

The name of the peer.

ReturnsExpand Collapse
class Peer:
id: str
name: str

The name of the peer.

ip: Optional[str]

IPv4/IPv6 address of primary or secondary nameserver, depending on what zone this peer is linked to. For primary zones this IP defines the IP of the secondary nameserver Cloudflare will NOTIFY upon zone changes. For secondary zones this IP defines the IP of the primary nameserver Cloudflare will send AXFR/IXFR requests to.

ixfr_enable: Optional[bool]

Enable IXFR transfer protocol, default is AXFR. Only applicable to secondary zones.

port: Optional[float]

DNS port of primary or secondary nameserver, depending on what zone this peer is linked to.

tsig_id: Optional[str]

TSIG authentication will be used for zone transfer if configured.

Create Peer

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
peer = client.dns.zone_transfers.peers.create(
    account_id="01a7362d577a6c3019a474fd6f485823",
    name="my-peer-1",
)
print(peer.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "23ff594956f20c2a721606e94745a8aa",
    "name": "my-peer-1",
    "ip": "192.0.2.53",
    "ixfr_enable": false,
    "port": 53,
    "tsig_id": "69cd1e104af3e6ed3cb344f263fd0d5a"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "23ff594956f20c2a721606e94745a8aa",
    "name": "my-peer-1",
    "ip": "192.0.2.53",
    "ixfr_enable": false,
    "port": 53,
    "tsig_id": "69cd1e104af3e6ed3cb344f263fd0d5a"
  }
}